/*------------------------------------------------------------------------------
#
#	Message Tower service module for QuickMail
#
#	QMAppEvts.c	-	code for the Apple Event handlers
#
#	Copyright  CE Software, Inc., Inc. 1995
#	All rights reserved.
#
------------------------------------------------------------------------------*/

#include "MenuHackData.h"		/* bring in all the #defines for QMModule */
#include <PLStringFuncs.h>		/* some special string handling stuff */

#pragma segment Appevts

static pascal OSErr QKAEHandleQuit(const AppleEvent *theAppleEvent, 
	const AppleEvent *reply, long theblock)
{
	theblock = 0; //Just use it to stop warning that we're not using it!
	gDoneFlag = false;
	return noErr;
}

static pascal OSErr QKAEHandleNewApp(const AppleEvent *theAppleEvent, 
	const AppleEvent *reply, long theblock)
{
	theblock = 0; //Just use it to stop warning that we're not using it!
	return noErr;
}

void InstallAEHandlers()
{	OSErr	aevtErr;

	aevtErr = AEInstallEventHandler( kCoreEventClass, kAEQuitApplication,(AEEventHandlerUPP)QKAEHandleQuit, 0, false ) ;
	aevtErr = AEInstallEventHandler( kCoreEventClass, kAEOpenApplication,(AEEventHandlerUPP)QKAEHandleNewApp, 0, false ) ;
}
